For the complete documentation index, see llms.txt. This page is also available as Markdown.

Utility

Utility functions and special permissions functions

Get internal projects

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchstringOptional

Search term for filtering projects by name or other attributes

Responses
200Success
application/json
get/v1/utils/internal/projects
GET /v1/utils/internal/projects HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "project": {
    "city": "New York",
    "sector": {
      "id": "13",
      "title": "Waste handling and disposal"
    },
    "num": "713",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "otherBenefits": [
      {
        "title": "SDG 13: Climate Action",
        "description": ""
      }
    ],
    "additionalities": [
      {
        "title": "text",
        "description": "text"
      }
    ],
    "fullName": "Project 1",
    "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
    "description": "This is a project",
    "shortDescription": "This is a project",
    "proponents": [
      {
        "fullName": "John Doe",
        "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "publicUrl": "https://www.carbonregistry.com/explore/organizations/62ffdcad-bd0d-42f7-b8ff-28785a929ed0"
      }
    ],
    "publicUrl": "https://www.carbonregistry.com/explore/projects/47abd663-fb35-4b2e-ad08-c347e761649e",
    "registry": "ICR",
    "status": "validated",
    "countryCode": "US",
    "state": "New York",
    "startDate": "2023-08-01T00:00:00.000Z",
    "creditingPeriodStartDate": "2023-08-01T00:00:00.000Z",
    "methodology": {
      "id": "VM0034",
      "title": "Canadian Forest Carbon Offset Methodology"
    },
    "type": {
      "id": "removal",
      "title": "Sequestration / Removal",
      "description": "Sequestration, removal and storage of carbondioxide (CO2) from the earth´s atmosphere."
    },
    "estimatedAnnualMitigations": [
      null
    ],
    "location": {
      "lat": 64.10944640131531,
      "lng": -21.81640625
    },
    "kmlFile": {
      "id": "",
      "uri": "http://example.com/document.pdf",
      "type": "monitoringReport",
      "name": "Document 1",
      "isPublic": true
    },
    "validators": [
      {
        "fullName": "John Doe",
        "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "publicUrl": "https://www.carbonregistry.com/explore/organizations/62ffdcad-bd0d-42f7-b8ff-28785a929ed0"
      }
    ],
    "documentation": [
      {
        "id": "",
        "uri": "http://example.com/document.pdf",
        "type": "monitoringReport",
        "name": "Document 1",
        "isPublic": true
      }
    ],
    "lastAcceptedStatus": "draft",
    "events": [
      {}
    ]
  }
}

Get an internal project by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the internal project

Responses
200Success
application/json
get/v1/utils/internal/projects/{id}
GET /v1/utils/internal/projects/{id} HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "project": {
    "city": "New York",
    "sector": {
      "id": "13",
      "title": "Waste handling and disposal"
    },
    "num": "713",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "otherBenefits": [
      {
        "title": "SDG 13: Climate Action",
        "description": ""
      }
    ],
    "additionalities": [
      {
        "title": "text",
        "description": "text"
      }
    ],
    "fullName": "Project 1",
    "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
    "description": "This is a project",
    "shortDescription": "This is a project",
    "proponents": [
      {
        "fullName": "John Doe",
        "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "publicUrl": "https://www.carbonregistry.com/explore/organizations/62ffdcad-bd0d-42f7-b8ff-28785a929ed0"
      }
    ],
    "publicUrl": "https://www.carbonregistry.com/explore/projects/47abd663-fb35-4b2e-ad08-c347e761649e",
    "registry": "ICR",
    "status": "validated",
    "countryCode": "US",
    "state": "New York",
    "startDate": "2023-08-01T00:00:00.000Z",
    "creditingPeriodStartDate": "2023-08-01T00:00:00.000Z",
    "methodology": {
      "id": "VM0034",
      "title": "Canadian Forest Carbon Offset Methodology"
    },
    "type": {
      "id": "removal",
      "title": "Sequestration / Removal",
      "description": "Sequestration, removal and storage of carbondioxide (CO2) from the earth´s atmosphere."
    },
    "estimatedAnnualMitigations": [
      null
    ],
    "location": {
      "lat": 64.10944640131531,
      "lng": -21.81640625
    },
    "kmlFile": {
      "id": "",
      "uri": "http://example.com/document.pdf",
      "type": "monitoringReport",
      "name": "Document 1",
      "isPublic": true
    },
    "validators": [
      {
        "fullName": "John Doe",
        "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRzKakVt-GHFNrAN9xFd8B26vYVFLyWoUds8w&usqp=CAU",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "publicUrl": "https://www.carbonregistry.com/explore/organizations/62ffdcad-bd0d-42f7-b8ff-28785a929ed0"
      }
    ],
    "documentation": [
      {
        "id": "",
        "uri": "http://example.com/document.pdf",
        "type": "monitoringReport",
        "name": "Document 1",
        "isPublic": true
      }
    ],
    "lastAcceptedStatus": "draft",
    "events": [
      {}
    ]
  }
}

Refresh CarbonRegistry.com's onchain transaction indexers

post

Pings our indexers. Could be used to speed up CarbonRegistry.com's indexing of onchain data.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200Success
application/json
successbooleanRequired

Whether the indexer was successfully pinged

post/v1/utils/indexer/refresh
POST /v1/utils/indexer/refresh HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "success": true
}

Get some credits from the friendbot

get

This endpoint sends 100 credits to the organization account that owns the calling api key. Only on testnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200Success
application/json
serializationstringRequired

The serialization string representing the credit to be transfered

Example: ICR-ALB-355-77993-2-A-0-2023
amountnumberRequired

The amount of credits sent to your address

Example: 1000
transactionIdstringRequired

The onchain transaction hash

Example: 0xcc73d182db1f36dbadf14205de7d543cfd1343396b50d34c768529aaab46a1c0
get/v1/{id}/friendbot
GET /v1/{id}/friendbot HTTP/1.1
Host: api.carbonregistry.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "serialization": "ICR-ALB-355-77993-2-A-0-2023",
  "amount": 1000,
  "transactionId": "0xcc73d182db1f36dbadf14205de7d543cfd1343396b50d34c768529aaab46a1c0"
}

Last updated